Jump to content
houba_houbi

Autoupgrade 1.5.0.17 vers 1.5.1 : des erreurs sql sont apparues

Recommended Posts

Bonjour,

 

Je n'arrive pas à faire la mise à jour automatique (serveur mutu ovh).

 

Déjà le module 1clickupgrade sur 1.5.0.17 était impossible à installer => module non trouvé. Effectivement il n'y était pas, il faut le télécharger sur addons. C'est fait.

 

Je lance la mise à jour tout se passe bien et à la fin j'ai un message laconique : "Mise à jour terminée, mais des erreurs sql sont apparues pendant la mise à jour de la base de données. Merci de restaurer votre boutique."

Je l'ai fait 2x : pareil.

 

Dans les erreurs en haut à droite j'ai ça :

Impossible d'ouvrir le fichier zip /.../admin/autoupgrade/tmp/autoupgrade.zip

[WARNING] erreur lors de la mise à jour du module autoupgrade.

 

Et j'ai conservé le journal d'activité si besoin.

 

Merci d'avance

Share this post


Link to post
Share on other sites

Bonjour à tous, même problème pour moi :

 

"Mise à jour terminée, mais des erreurs sql sont apparues pendant la mise à jour de la base de données. Merci de restaurer votre boutique."

 

Moi c'est une instal en local.

Bonne journée !

  • Like 1

Share this post


Link to post
Share on other sites

Même contexte d'hébergement, et j'ai aussi dû installer le module à la main car 404 depuis la liste habituelle.

Une fois installé la vérification de config reste bloquée sur "

Options choisies :"

avec croix rouge,

et je n'ai donc pas pas encore de bouton pour lancer le module. Le lien de cette croix va vers les options, mais quand je les sauvegarde j'ai une page non trouvée index.php?controller=404

Je suis donc ce post.

Share this post


Link to post
Share on other sites

il me semble que la croix rouge "option choisies" passe au vert une fois qu'on a effectué la sauvegarde.

 

Par contre, j'ai réussi à faire la mise à jour 1.5.0.17 --> 1.5.1 sur ma version locale

mais je bloque sur un message d'erreur sur la version hébergée chez OVH (serveur mutualisé).

La mise à jour ne se lance pas et m'affiche ce message d'erreur:

Javascript error (parse JSON) detected for action upgradeNow. Debut de la restauration

 

 

J'ai un avertissement:

warning.gifIt appears that display errors is enable on your shop and this can cause problem during update.

 

alors que mon fichier config indique ceci:

/* Debug only */
@ini_set('display_errors', 'off');
define('_PS_DEBUG_SQL_', false);

 

Je sèche. Quelqu'un a-t-il une idée?

Share this post


Link to post
Share on other sites

Bonjour,

 

Actuellement en 1.4.7.3, j'ai essayé en vain de faire la mise à jour vers 1.5.1

Hebergement mutu Nuxit

 

J'ai essayé 2 fois en automatique avec autoupgrade v0.8.9

Avertissement : It appears that display errors is enable on your shop and this can cause problem during update.

Et effectivement en fin de mise à jour : Mise à jour terminée, mais des erreurs sql sont apparues pendant la mise à jour de la base de données. Merci de restaurer votre boutique et pourtant Display errors est désactivé.

 

J'ai quand même essayé d'accéder au site..... le résultat est mitigé : site accessible après avoir désactivé url_rewrite puis à nouveau sur on, beaucoup de changement (j'utilisai le thème Prestashop_new, qui est censé être le thème par défaut sous 1.5.1 mais c'est pas la même chose), au niveau de la base sql, je n'ai pas remarqué de problème mis à part les stats qui ne sont plus complètes. Les résultats étant mitigés et suite aux messages affichés, j'ai préféré revenir en arrière en utilisant la fonction de restauration de sauvegarde de l'hébergeur.

 

J'ai également essayé en mode manuel en suivant la procédure, résultat "écran blanc" ou "erreur 500" en FO, peut-être faut-il régénérer le .htaccess en BO ? Mais je n'ai pas trouvé comment faire sur l'admin du 1.5.1 ??? Retour à la case départ :-(

Quelqu'un pourrait-il nous aider ?

Merci

Share this post


Link to post
Share on other sites

Bonjour

 

J'ai un avertissement:

warning.gifIt appears that display errors is enable on your shop and this can cause problem during update.

 

alors que mon fichier config indique ceci:

/* Debug only */

@ini_set('display_errors', 'off');

define('_PS_DEBUG_SQL_', false);

 

Je sèche. Quelqu'un a-t-il une idée?

 

Le message d'erreur indiquer ci-dessus n'a rien à voir avec les messages d'erreur quand on met display error à on.

Le message d'erreur ci-dessus est un parmi les centaines de message d'erreur inscris dans les fichiers lors du developpement.

 

Les erreurs qui s'affichent quand on met display errors à on sont des erreurs apache, c'est à dire le système qui rend possible l'hebergement.

Share this post


Link to post
Share on other sites

Il existe un autre moyen pour la mise à jour avec le dernier autoupgrade

 

Vous déposez le dossier prestashop déziper dans le dossier /admin/autoupgrade/last/prestashop << dossier prestashop déziper.

 

Puis vous devez choisir mode expert et dans le menu déroulant sélectionner repertoire local, vous verrez le chemin que j'ai indiquer est afficher, dans la case vous mettez 1.5.1

 

Les options même si vous changer rien il faut les sauvegarder pour que la croix rouge devienne une coche verte.

 

Tester et donnez le retour.

 

Préalablement faites une sauvegarde de vos fichiers et dossiers et de la base de donnée via phpmyadmin.

Share this post


Link to post
Share on other sites

Merci Oron pour ces explications mais malheureusement cela n'a pas résolu le problème.

Le message d'erreur reste le même (voir image jointe).

mini_865144ScreenHunter06Oct151019.jpg

 

ma boutique n'étant pas encore en ligne, je vais refaire l'install complète mais je crainds d'avoir les mêmes problèmes lors de la prochaine mise à jour alors que ma boutique sera en fonction.

Edited by MonVinDirect (see edit history)

Share this post


Link to post
Share on other sites

je pense avoir résolu mon probleme:

il suffisait de mettre à jour le module "mise à jour en 1 click"

Ma version était 0.8.8 en passant en 0.8.9 la mise à jour se lance correctement.

Aucun pb non plus au niveau de la boutique.

Share this post


Link to post
Share on other sites

je pense avoir résolu mon probleme:

il suffisait de mettre à jour le module "mise à jour en 1 click"

Ma version était 0.8.8 en passant en 0.8.9 la mise à jour se lance correctement.

Aucun pb non plus au niveau de la boutique.

Effectivement, j'ai donc téléchargé la nouvelle aussi.

 

Ensuite j'effectue la MAJ de Prestashop, cela se déroule pendant un temps puis la mise à jour s'arrête et reste bloquée ici :

JOURNAL ACTIVITE
[Ajax / Server Error] textStatus: "error" errorThrown:"" jqXHR: ""

Plus rien ne se passe... Si j'essaie d'aller sur un menu de l'admin, j'ai un message "une mise à jour est en cours, voulez-vous arrêter?" . Pourtant il ne se passe plus rien !! C'est dingue à la fin!

 

J'ai aussi le message d'avertissement suivant :

It appears that display errors is enable on your shop and this can cause problem during update.

J'ai beau vérifier le fichier config, le display errors est bien à OFF !!!! Et l'option en bas du module "afficher les erreurs" est bien elle aussi sur non.

 

C'est pas rassurant du tout ce process de mise à jour alors que c'est un module natif Prestashop.

J'ai testé il y a longtemps un autre module de mise à jour (de Samba je crois) sur d'anciennes versions, je n'ai jamais eu de problème. Mais là sur 1.5, le module natif de Prestashop est semble t'il bancal ??

 

Comment faire ???

 

Et rien sur la documentation officielle pour la mise à jour automatique 1.5.

Edited by houba_houbi (see edit history)

Share this post


Link to post
Share on other sites

Je viens de tester la méthode d'Oron pour le mise à jour manuelle, la mise à jour s'est effectuée !

Reste à tester...

Share this post


Link to post
Share on other sites

Pour ma part je viens de mettre a jour 1 Upgrade.

 

Je lance la mise à jour de 1.5.0.13 vers la 1.5.1

 

Message d'erreur :

[ERROR] SQL 1.5.0.14 1062 in INSERT INTO `Atelier2_hook_alias` (`name`, `alias`) VALUES ('displayMyAccountBlock', 'myAccountBlock'): Duplicate entry 'myAccountBlock' for key 'alias'

 

[ERROR] SQL 1.5.0.14 1060 in ALTER TABLE `Atelier2_order_invoice` ADD `shipping_tax_computation_method` INT NOT NULL AFTER `total_shipping_tax_incl`: Duplicate column name 'shipping_tax_computation_method'

 

[ERROR] SQL 1.5.0.15 1060 in ALTER TABLE `Atelier2_order_state` ADD `module_name` VARCHAR(255) NULL DEFAULT NULL AFTER `send_email`: Duplicate column name 'module_name'

 

[ERROR] SQL 1.5.0.15 1060 in ALTER TABLE `Atelier2_product_shop` ADD `uploadable_files` TINYINT NOT NULL DEFAULT 0 AFTER `customizable`: Duplicate column name 'uploadable_files'

 

[ERROR] PHP 1.5.0.16 /* PHP:p15016_add_missing_columns(); */ 1 - Unknown column 'id_reinsurance' in 'Atelier2_reinsurance'

 

[ERROR] SQL 1.5.0.16 1060 in ALTER TABLE `Atelier2_order_detail` ADD `id_shop` INT(11) UNSIGNED NOT NULL AFTER `id_warehouse`, ADD INDEX (`id_shop`): Duplicate column name 'id_shop'

 

[ERROR] SQL 1.5.0.16 1061 in ALTER TABLE `Atelier2_tax_rule` ADD INDEX `category_getproducts` ( `id_tax_rules_group` , `id_country` , `id_state` , `zipcode_from` ): Duplicate key name 'category_getproducts'

 

[ERROR] SQL 1.5.0.16 1061 in ALTER TABLE `Atelier2_stock_available` ADD INDEX `product_sqlstock` ( `id_product` , `id_product_attribute` , `id_shop` ): Duplicate key name 'product_sqlstock'

 

[ERROR] SQL 1.5.0.16 1060 in ALTER TABLE `Atelier2_product` ADD `id_shop_default` int(10) unsigned NOT NULL default 1 AFTER `id_category_default`: Duplicate column name 'id_shop_default'

 

[ERROR] SQL 1.5.0.16 1060 in ALTER TABLE `Atelier2_category` ADD `id_shop_default` int(10) unsigned NOT NULL default 1 AFTER `id_parent`: Duplicate column name 'id_shop_default'

 

[ERROR] SQL 1.5.0.17 1060 in ALTER TABLE `Atelier2_customer_message` ADD `read` tinyint(1) NOT NULL default '0' AFTER `private`: Duplicate column name 'read'

 

Erreur(s) détectée(s) pendant la mise à jour.

 

 

Help ME :(

Share this post


Link to post
Share on other sites

Pitoux j ai le meme probleme depuis des semaines...

aucune solution trouvé pour le moment,,

Share this post


Link to post
Share on other sites

Bonjour à tous, même problème pour moi :

 

"Mise à jour terminée, mais des erreurs sql sont apparues pendant la mise à jour de la base de données. Merci de restaurer votre boutique."

 

Moi c'est une instal en local.

Bonne journée !

 

Tu as trouvé une solution ? :)

Share this post


Link to post
Share on other sites

Bonjour à tous,

j'ai rencontré le même problème aujourd'hui en faisant une mise à jour 1.4.9 vers 1.5.2 et je l'ai solutionné en modifiant dans mon fichier mysql.ini (chez moi : C:\wamp\bin\mysql\mysql5.5.16\mysql.ini) la valeur de la variable max_allowed_packet qui était à 1M et que j'ai passé à 1000M pour assurer.

J'en suis arrivé à modifier cette valeur en constatant qu'avant de m'indiquer l'ensemble des requêtes ayant échoué il m'indiquait que le quota déterminé par cette variable était dépassée.

N'oubliez pas de redémarrer mysql après avoir modifiée la valeur pour que ce soit pris en compte.

Bonne chance !

Edited by erehcab (see edit history)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More